<template>
  <el-empty :image="image" :image-size="226" description="抱歉，页面无法访问..."> </el-empty>
</template>

<script setup lang="ts">
import { computed } from 'vue'
import { useRoute } from 'vue-router'
import { useCoreStore } from '@/stores/core'

const coreStore = useCoreStore()

const image = computed(() => {
  const theme = coreStore.theme?.themeCode ?? 'default'
  if (theme === 'default') {
    return new URL(`@/assets/images/404.png`, import.meta.url).href
  } else {
    return `/static-resource/theme/skin/images/${theme}/404.png`
  }
})
// 获取路由地址根据不同地址处理展示
const route = useRoute()
console.log('route---', route.query.data)
</script>
<style scoped>
.el-empty {
  margin: 25vh auto 0;
  --el-text-color-secondary: #000;
  --el-font-size-base: 18px;
  height: 260px;
}
.el-empty :deep(p) {
  font-weight: bold;
  margin-top: 16px;
}
</style>
